Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 715 - 8Gb+ disks cause disk druid to crash
Summary: 8Gb+ disks cause disk druid to crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-06 18:26 UTC by mcr
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-28 21:57:17 UTC


Attachments (Terms of Use)

Description mcr 1999-01-06 18:26:42 UTC
Linux seems to probe the translated geometry of 1024/63/255
rather than the actual BIOS geometry of 19516/16/64 (which
is also the physical geometry) or the official translated
geometry of 1244/63/255. I use fdisk's extended commands to
set the number of cylinders to 1244 and partition as normal.
However, disk druid is invoked afterward to set the mount
points, and it then crashes when is discovers that there is
-1934Mb of available disk space.
As a workaround, I have created my last partition as a
primary partition rather than a logical partition, and have
left its end point as 1024. I will extend it later after
boot time.

Comment 1 David Lawrence 1999-01-07 20:28:59 UTC
We will be getting some large disks into the test lab very soon. I
will reopen this bug at that time and try to replicate the problem.

Comment 2 David Lawrence 1999-06-28 21:57:59 UTC
This problem no longer occurs with 6.0 on machines with large drives
in our test lab. Please upgrade.


Note You need to log in before you can comment on or make changes to this bug.